Subject: Re: [netatalk-admins] Printing woes continue

From: Tony Grant <[email-masked]>
Date: Tue, 02 Nov 1999 17:24:44 +0100

Wenchi Liao wrote:

> >Let me rephrase this :
> >
> >       - working netatalk server running in AppleTalk mode i.e. file server
> >and printer spool visible in chooser [netatalk-1.4b2asun2.1.3, Redhat
> >6.0]
> >
> >       - upgrade to Redhat 6.1 now file server only connectable via TCP/IP and
> >printer not at all.
> 
> you know, you never did say whether or not atalkd was running,
> and whether or not npblkup returns anything. I'm going to assume
> it isn't.

Yes it is. Yes it does. 

> >How can I reconfigure netatalk and/or Redhat 6.1 so that my printer
> >spool shows up as an AppleTalk printer in the chooser again please? (I
> 
> First step: run atalkd. For the most part (if not always), when
> something needs to be done through the chooser, atalkd has to be
> running.

I am running it manually - the supplied rc.d scripts are not working for
me.

/usr/sbin/atalkd
/usr/sbin/papd
/usr/sbin/afpd

Should I be including anything on the command line?
 
> Second step: run papd. atalk_src/config/* has sample papd.config
> files to work from.

Been using various suggestions from people. 
 
> What I don't understand is...
> 
> On 29 Oct, you wrote:
> 
>   I was using nbplkup and papd status.  Getting something along
>   the lines of annix:Lasewriter@*
> 
> If you can see the printer through nbplkup and papstatus, it
> already shows up in chooser.

No this is the problem - it isn't visible in the chooser. I know it
should be...
 
> Then I suggested that lpd is verified to work. So if printing is
> possible through the RH machine, and you have a new enough MACOS
> to use lp printing, the printer is available through lp.

lpd works fine on the Linux box. When I make a lp printer on the Mac it
verifys the spool and says that everything is fine and installs the
printer on the desktop. When I print to it the Mac locks solid.

There are no zones on the AppleTalk network.

There is another netatalk server running file shares on another machine
on the network.

There are no strange permissions on lpd and spool folder. I am really
stumped on this, I have been running netatalk for 2 years now and never
had this happen before.

Thanks again

Tony